@import '~@guildion/next/styles/component.module.scss';

.container {
  width: 100%;
  height: 100%;
  background-color: var(--background-subm1);
  border-width: 1px;
  border-radius: 5px;
  border-color: var(--background-subp3);
  box-shadow: 2px 2px 4px black;
  overflow: hidden;
}

.top {
  width: 100%;
  height: 120px;
  position: relative;
}

.bottom {
  width: 100%;
  padding: 20px;
  display: flex;
  justify-content: flex-start;
}

.profile {
  width: 32px;
  height: 32px;
  position: relative;
  border-radius: 20px;
  overflow: hidden;
}

.center {
  margin-left: 12px;
  margin-right: 4px;
  width: calc(100% - 40px - 44px - 12px - 30px);
  &-name {
    font-size: 14px;
    font-weight: bold;
    font-family: var(--default-font-family);
    text-align: left;
    color: var(--element-default);
  }
  &-message {
    font-family: var(--default-font-family);
    color: var(--element-subp1);
    text-align: left;
    margin-top: 6px;
    font-size: 14px;
  }
}